Софт
   844

Gis Wheathe

Перестал работать виджет Gis Wethe. Выдает вот такой выхлоп Traceback (most recent call last):
File "/usr/share/gis-weather/gis-weather.py", line 757, in expose
weather1 = get_weather()
File "/usr/share/gis-weather/gis-weather.py", line 418, in get_weather
return data.get_weather(service)
File "/usr/share/gis-weather/services/data.py", line 76, in get_weather
return gismeteo.get_weather()
File "/usr/share/gis-weather/services/gismeteo.py", line 246, in get_weather
city_name = re.findall('type[A-Z].*\">(.*)<', w_now[0])
IndexError: list index out of range

Кто еще такоенаблюдает?
После подключение к сети виджет исчезает с монитора

8 комментариев

avatar
Я тоже такое наблюдаю…
Плюс ещё дополнительно наблюдаю кучу варнингов:
Спойлер!
(gis-weather.py:23650): Gtk-WARNING **: Theme parsing error: gtk.css:68:35: The style property GtkButton:child-displacement-x is deprecated and shouldn't be used anymore. It will be removed in a future version

(gis-weather.py:23650): Gtk-WARNING **: Theme parsing error: gtk.css:69:35: The style property GtkButton:child-displacement-y is deprecated and shouldn't be used anymore. It will be removed in a future version

(gis-weather.py:23650): Gtk-WARNING **: Theme parsing error: gtk.css:73:46: The style property GtkScrolledWindow:scrollbars-within-bevel is deprecated and shouldn't be used anymore. It will be removed in a future version
/usr/share/gis-weather/utils/localization.py:8: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk
/usr/share/gis-weather/gis-weather.py:59: PyGIWarning: PangoCairo was imported without specifying a version first. Use gi.require_version('PangoCairo', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import Gtk, GObject, Pango, PangoCairo, Gdk, GdkPixbuf, GLib
/usr/share/gis-weather/gis-weather.py:62: PyGIWarning: AppIndicator3 was imported without specifying a version first. Use gi.require_version('AppIndicator3', '0.1') before import to ensure that the right version gets loaded.
from gi.repository import AppIndicator3
/usr/share/gis-weather/gis-weather.py:69: PyGIWarning: Rsvg was imported without specifying a version first. Use gi.require_version('Rsvg', '2.0') before import to ensure that the right version gets loaded.
from gi.repository import Rsvg

Возможно это из-за того, что у меня KDE, и не хватает чего-то GTK-специфичного…
0
avatar
Это походу у всех, у меня тоже самое! Так и не понял в чем причина!
?
Всё возможно, пока не сделан выбор !
0
avatar
Нет это явно не окружение.У меня Корица. Ещё вчера все работало. Вопрос Виджет не работает на всех системах или только Манжарке?
0
avatar
Народ на Убунту тоже жалуется…
0
avatar
И так. Закрываем виджет. Идем в папку ~/.config/gis-weather и удаляем файл конфигурации. типа такого ( gw_config1.json). Далее запускаем gis-weather и настраиваем погоду снова, только язык лучше оставить английский. На русском у меня стартует но на экране пусто. На манджаро циннамон и на линукс минт этот способ работает.
+3
avatar
Тоже работает на KDE
?
Всё возможно, пока не сделан выбор !
0
avatar
Благодарю за помощь!
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.